import { declare } from '@babel/helper-plugin-utils';
import regeneratorTransform from 'regenerator-transform';

var index = declare(({
  types: t,
  assertVersion
}) => {
  assertVersion("8.0.0-alpha.5");
  return {
    name: "transform-regenerator",
    inherits: regeneratorTransform.default,
    visitor: {
      MemberExpression(path) {
        const obj = path.get("object");
        if (obj.isIdentifier({
          name: "regeneratorRuntime"
        })) {
          const helper = this.addHelper("regeneratorRuntime");
          obj.replaceWith(t.callExpression(helper, []));
        }
      }
    }
  };
});

export { index as default };
//# sourceMappingURL=index.js.map
